<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>
    <title>Document</title>
    <style>
    .hinhvuong{
        height: 200px;
        width: 200px;
        background: red
    }
    .hinhtron{
        height: 200px;
        width: 200px;
        background: blue;
        border-radius: 50%;
    }
    </style>
</head>
<body>
    <div id="root">
        <div class="hinhvuong" v-bind:class="{hinhtron: isshow}">
        </div>
        <div v-bind:class="classObject"> Hello viet nam</div>
        <div v-bind:class="[activeClass, errorClass]"></div>
        <my-component  class="baz qux"/>
        <!-- binding inline --> 
        <div v-bind:style="{ color:color , height:height +'px' }"> </div>
    </div>
    <script>
         // sử dụng với các component
        Vue.component('my-component', {
            template: '<p class="foo bar"></p>'
        })
        new Vue({
            el:'#root',
            data:{
                isshow: true,
                isActive: false,
                error: null,
                // sử dụng cú pháp mảng
                activeClass: 'active',
                errorClass: 'text-danger',
                color: 'red',
                height:100,
            },
            computed: {
                // sử dụng cú pháp object
                classObject: function () {
                    return {
                    active: this.isActive && !this.error,
                    'text-danger': this.error && this.error.type === 'fatal'
                    }
                }
            },
           
        })
        
    </script>
</body>
</html>